Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(505)

Unified Diff: sys-boot/chromeos-bios/chromeos-bios-0.0.1.ebuild

Issue 6606011: Switch to using cros_sign_bootstub. (Closed) Base URL: ssh://git@gitrw.chromium.org:9222/chromiumos-overlay.git@master
Patch Set: Don't install boot.cfg, it's no longer generated. Created 9 years, 10 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « chromeos-base/cros-devutils/cros-devutils-9999.ebuild ('k') | no next file » | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: sys-boot/chromeos-bios/chromeos-bios-0.0.1.ebuild
diff --git a/sys-boot/chromeos-bios/chromeos-bios-0.0.1.ebuild b/sys-boot/chromeos-bios/chromeos-bios-0.0.1.ebuild
index 4ab0933c08ee27c6ba1d27c38863b40fe24c0986..1dac9089bc3b4b268364aa64315971bcf7f535aa 100644
--- a/sys-boot/chromeos-bios/chromeos-bios-0.0.1.ebuild
+++ b/sys-boot/chromeos-bios/chromeos-bios-0.0.1.ebuild
@@ -58,31 +58,6 @@ construct_layout() {
die "Failed to cat firmware_layout_config."
}
-construct_config() {
- local text_base="0x$1"
-
- #
- # The cbootimage config file format is not yet documented. Below is
- # a minimal config file that merges a BCT file and bootloader; in
- # this case our stub U-Boot image. We do not use the Version, but it
- # needs to be set.
- #
- # Currently a bug in cbootimage prevents us from setting Redundancy to
- # 0. Redundancy controls how many instances of the BCT should be
- # written to the signed image. A value of 1 causes two instances to
- # be written.
- #
- # The BootLoader parameter specifies the bootloader image to use. It
- # also specifies the load address for the bootloader in RAM and the
- # entry point of the resulting image. For U-Boot these are the same
- # value (TEXT_BASE).
- #
- echo "Bctfile=${bct_file};"
- echo "Version=1;"
- echo "Redundancy=1;"
- echo "BootLoader=${stub_image},${text_base},${text_base},Complete;"
-}
-
src_compile() {
hwid=$(get_autoconf CONFIG_CHROMEOS_HWID)
gbb_size=$(get_autoconf CONFIG_LENGTH_GBB)
@@ -114,16 +89,14 @@ src_compile() {
#
# Sign the bootstub. This is a combination of the board specific
- # BCT and the stub U-Boot image. The cbootimage tool takes a config
- # file and an output filename to write to.
+ # BCT and the stub U-Boot image.
#
- cat ${cfg_file} > boot.cfg ||
- die "Failed to cat flash configuration file."
-
- construct_config $(get_text_base) >> boot.cfg ||
- die "Failed to create boot stub signing configuration file."
-
- cbootimage boot.cfg bootstub.bin ||
+ cros_sign_bootstub \
vb 2011/03/03 04:10:19 please add to the CL description some information
+ --bct "${bct_file}" \
+ --flash "${cfg_file}" \
+ --bootstub "${stub_image}" \
+ --output bootstub.bin \
+ --text_base "0x$(get_text_base)" ||
die "Failed to sign boot stub image."
pack_firmware_image layout.py \
@@ -139,7 +112,6 @@ src_compile() {
src_install() {
insinto /u-boot
- doins boot.cfg || die
doins layout.py || die
doins image.bin || die
doins bootstub.bin || die
« no previous file with comments | « chromeos-base/cros-devutils/cros-devutils-9999.ebuild ('k') | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698